Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class SqlMessageFilterDocumentImpl.SqlMessageFilterImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.SqlMessageFilterDocumentImpl.SqlMessageFilterImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, SqlMessageFilterDocument.SqlMessageFilter

Enclosing class:
  SqlMessageFilterDocumentImpl

    public static class SqlMessageFilterDocumentImpl.SqlMessageFilterImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements SqlMessageFilterDocument.SqlMessageFilter

An XML sql-message-filter(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.SqlMessageFilterDocument.SqlMessageFilter
`SqlMessageFilterDocument.SqlMessageFilter.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.SqlMessageFilterDocument.SqlMessageFilter
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`SqlMessageFilterDocumentImpl.SqlMessageFilterImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`boolean` | `getErrorDelete()` Gets the "error-delete" attribute
`java.lang.String` | `getInsertTimestampColumn()` Gets the "insert-timestamp-column" attribute
`java.lang.String` | `getMessageColumn()` Gets the "message-column" attribute
`java.lang.String` | `getMessageIdColumn()` Gets the "message-id-column" attribute
`java.lang.String` | `getOrderBy()` Gets the "order-by" attribute
`boolean` | `getPostDelete()` Gets the "post-delete" attribute
`java.lang.String` | `getStatusColumn()` Gets the "status-column" attribute
`java.lang.String` | `getTablename()` Gets the "tablename" attribute
`java.lang.String` | `getWhereCondition()` Gets the "where-condition" attribute
`boolean` | `isSetErrorDelete()` True if has "error-delete" attribute
`boolean` | `isSetInsertTimestampColumn()` True if has "insert-timestamp-column" attribute
`boolean` | `isSetOrderBy()` True if has "order-by" attribute
`boolean` | `isSetPostDelete()` True if has "post-delete" attribute
`boolean` | `isSetWhereCondition()` True if has "where-condition" attribute
`void` | `setErrorDelete(boolean errorDelete)` Sets the "error-delete" attribute
`void` | `setInsertTimestampColumn(java.lang.String insertTimestampColumn)` Sets the "insert-timestamp-column" attribute
`void` | `setMessageColumn(java.lang.String messageColumn)` Sets the "message-column" attribute
`void` | `setMessageIdColumn(java.lang.String messageIdColumn)` Sets the "message-id-column" attribute
`void` | `setOrderBy(java.lang.String orderBy)` Sets the "order-by" attribute
`void` | `setPostDelete(boolean postDelete)` Sets the "post-delete" attribute
`void` | `setStatusColumn(java.lang.String statusColumn)` Sets the "status-column" attribute
`void` | `setTablename(java.lang.String tablename)` Sets the "tablename" attribute
`void` | `setWhereCondition(java.lang.String whereCondition)` Sets the "where-condition" attribute
`void` | `unsetErrorDelete()` Unsets the "error-delete" attribute
`void` | `unsetInsertTimestampColumn()` Unsets the "insert-timestamp-column" attribute
`void` | `unsetOrderBy()` Unsets the "order-by" attribute
`void` | `unsetPostDelete()` Unsets the "post-delete" attribute
`void` | `unsetWhereCondition()` Unsets the "where-condition" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetErrorDelete()` Gets (as xml) the "error-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetInsertTimestampColumn()` Gets (as xml) the "insert-timestamp-column" attribute
`org.apache.xmlbeans.XmlString` | `xgetMessageColumn()` Gets (as xml) the "message-column" attribute
`org.apache.xmlbeans.XmlString` | `xgetMessageIdColumn()` Gets (as xml) the "message-id-column" attribute
`org.apache.xmlbeans.XmlString` | `xgetOrderBy()` Gets (as xml) the "order-by" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPostDelete()` Gets (as xml) the "post-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetStatusColumn()` Gets (as xml) the "status-column" attribute
`org.apache.xmlbeans.XmlString` | `xgetTablename()` Gets (as xml) the "tablename" attribute
`org.apache.xmlbeans.XmlString` | `xgetWhereCondition()` Gets (as xml) the "where-condition" attribute
`void` | `xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)` Sets (as xml) the "error-delete" attribute
`void` | `xsetInsertTimestampColumn(org.apache.xmlbeans.XmlString insertTimestampColumn)` Sets (as xml) the "insert-timestamp-column" attribute
`void` | `xsetMessageColumn(org.apache.xmlbeans.XmlString messageColumn)` Sets (as xml) the "message-column" attribute
`void` | `xsetMessageIdColumn(org.apache.xmlbeans.XmlString messageIdColumn)` Sets (as xml) the "message-id-column" attribute
`void` | `xsetOrderBy(org.apache.xmlbeans.XmlString orderBy)` Sets (as xml) the "order-by" attribute
`void` | `xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)` Sets (as xml) the "post-delete" attribute
`void` | `xsetStatusColumn(org.apache.xmlbeans.XmlString statusColumn)` Sets (as xml) the "status-column" attribute
`void` | `xsetTablename(org.apache.xmlbeans.XmlString tablename)` Sets (as xml) the "tablename" attribute
`void` | `xsetWhereCondition(org.apache.xmlbeans.XmlString whereCondition)` Sets (as xml) the "where-condition" attribute

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### SqlMessageFilterDocumentImpl.SqlMessageFilterImpl

    public SqlMessageFilterDocumentImpl.SqlMessageFilterImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getTablename

    public java.lang.String getTablename()

  Gets the "tablename" attribute

  Specified by:
    `getTablename` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetTablename

    public org.apache.xmlbeans.XmlString xgetTablename()

  Gets (as xml) the "tablename" attribute

  Specified by:
    `xgetTablename` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setTablename

    public void setTablename(java.lang.String tablename)

  Sets the "tablename" attribute

  Specified by:
    `setTablename` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetTablename

    public void xsetTablename(org.apache.xmlbeans.XmlString tablename)

  Sets (as xml) the "tablename" attribute

  Specified by:
    `xsetTablename` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### getMessageIdColumn

    public java.lang.String getMessageIdColumn()

  Gets the "message-id-column" attribute

  Specified by:
    `getMessageIdColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetMessageIdColumn

    public org.apache.xmlbeans.XmlString xgetMessageIdColumn()

  Gets (as xml) the "message-id-column" attribute

  Specified by:
    `xgetMessageIdColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setMessageIdColumn

    public void setMessageIdColumn(java.lang.String messageIdColumn)

  Sets the "message-id-column" attribute

  Specified by:
    `setMessageIdColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetMessageIdColumn

    public void xsetMessageIdColumn(org.apache.xmlbeans.XmlString messageIdColumn)

  Sets (as xml) the "message-id-column" attribute

  Specified by:
    `xsetMessageIdColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### getMessageColumn

    public java.lang.String getMessageColumn()

  Gets the "message-column" attribute

  Specified by:
    `getMessageColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetMessageColumn

    public org.apache.xmlbeans.XmlString xgetMessageColumn()

  Gets (as xml) the "message-column" attribute

  Specified by:
    `xgetMessageColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setMessageColumn

    public void setMessageColumn(java.lang.String messageColumn)

  Sets the "message-column" attribute

  Specified by:
    `setMessageColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetMessageColumn

    public void xsetMessageColumn(org.apache.xmlbeans.XmlString messageColumn)

  Sets (as xml) the "message-column" attribute

  Specified by:
    `xsetMessageColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### getStatusColumn

    public java.lang.String getStatusColumn()

  Gets the "status-column" attribute

  Specified by:
    `getStatusColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetStatusColumn

    public org.apache.xmlbeans.XmlString xgetStatusColumn()

  Gets (as xml) the "status-column" attribute

  Specified by:
    `xgetStatusColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setStatusColumn

    public void setStatusColumn(java.lang.String statusColumn)

  Sets the "status-column" attribute

  Specified by:
    `setStatusColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetStatusColumn

    public void xsetStatusColumn(org.apache.xmlbeans.XmlString statusColumn)

  Sets (as xml) the "status-column" attribute

  Specified by:
    `xsetStatusColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### getWhereCondition

    public java.lang.String getWhereCondition()

  Gets the "where-condition" attribute

  Specified by:
    `getWhereCondition` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetWhereCondition

    public org.apache.xmlbeans.XmlString xgetWhereCondition()

  Gets (as xml) the "where-condition" attribute

  Specified by:
    `xgetWhereCondition` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### isSetWhereCondition

    public boolean isSetWhereCondition()

  True if has "where-condition" attribute

  Specified by:
    `isSetWhereCondition` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setWhereCondition

    public void setWhereCondition(java.lang.String whereCondition)

  Sets the "where-condition" attribute

  Specified by:
    `setWhereCondition` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetWhereCondition

    public void xsetWhereCondition(org.apache.xmlbeans.XmlString whereCondition)

  Sets (as xml) the "where-condition" attribute

  Specified by:
    `xsetWhereCondition` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### unsetWhereCondition

    public void unsetWhereCondition()

  Unsets the "where-condition" attribute

  Specified by:
    `unsetWhereCondition` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### getOrderBy

    public java.lang.String getOrderBy()

  Gets the "order-by" attribute

  Specified by:
    `getOrderBy` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetOrderBy

    public org.apache.xmlbeans.XmlString xgetOrderBy()

  Gets (as xml) the "order-by" attribute

  Specified by:
    `xgetOrderBy` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### isSetOrderBy

    public boolean isSetOrderBy()

  True if has "order-by" attribute

  Specified by:
    `isSetOrderBy` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setOrderBy

    public void setOrderBy(java.lang.String orderBy)

  Sets the "order-by" attribute

  Specified by:
    `setOrderBy` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetOrderBy

    public void xsetOrderBy(org.apache.xmlbeans.XmlString orderBy)

  Sets (as xml) the "order-by" attribute

  Specified by:
    `xsetOrderBy` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### unsetOrderBy

    public void unsetOrderBy()

  Unsets the "order-by" attribute

  Specified by:
    `unsetOrderBy` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### getInsertTimestampColumn

    public java.lang.String getInsertTimestampColumn()

  Gets the "insert-timestamp-column" attribute

  Specified by:
    `getInsertTimestampColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetInsertTimestampColumn

    public org.apache.xmlbeans.XmlString xgetInsertTimestampColumn()

  Gets (as xml) the "insert-timestamp-column" attribute

  Specified by:
    `xgetInsertTimestampColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### isSetInsertTimestampColumn

    public boolean isSetInsertTimestampColumn()

  True if has "insert-timestamp-column" attribute

  Specified by:
    `isSetInsertTimestampColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setInsertTimestampColumn

    public void setInsertTimestampColumn(java.lang.String insertTimestampColumn)

  Sets the "insert-timestamp-column" attribute

  Specified by:
    `setInsertTimestampColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetInsertTimestampColumn

    public void xsetInsertTimestampColumn(org.apache.xmlbeans.XmlString insertTimestampColumn)

  Sets (as xml) the "insert-timestamp-column" attribute

  Specified by:
    `xsetInsertTimestampColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### unsetInsertTimestampColumn

    public void unsetInsertTimestampColumn()

  Unsets the "insert-timestamp-column" attribute

  Specified by:
    `unsetInsertTimestampColumn` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### getPostDelete

    public boolean getPostDelete()

  Gets the "post-delete" attribute

  Specified by:
    `getPostDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetPostDelete

    public org.apache.xmlbeans.XmlBoolean xgetPostDelete()

  Gets (as xml) the "post-delete" attribute

  Specified by:
    `xgetPostDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### isSetPostDelete

    public boolean isSetPostDelete()

  True if has "post-delete" attribute

  Specified by:
    `isSetPostDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setPostDelete

    public void setPostDelete(boolean postDelete)

  Sets the "post-delete" attribute

  Specified by:
    `setPostDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetPostDelete

    public void xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)

  Sets (as xml) the "post-delete" attribute

  Specified by:
    `xsetPostDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### unsetPostDelete

    public void unsetPostDelete()

  Unsets the "post-delete" attribute

  Specified by:
    `unsetPostDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### getErrorDelete

    public boolean getErrorDelete()

  Gets the "error-delete" attribute

  Specified by:
    `getErrorDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xgetErrorDelete

    public org.apache.xmlbeans.XmlBoolean xgetErrorDelete()

  Gets (as xml) the "error-delete" attribute

  Specified by:
    `xgetErrorDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### isSetErrorDelete

    public boolean isSetErrorDelete()

  True if has "error-delete" attribute

  Specified by:
    `isSetErrorDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### setErrorDelete

    public void setErrorDelete(boolean errorDelete)

  Sets the "error-delete" attribute

  Specified by:
    `setErrorDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### xsetErrorDelete

    public void xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)

  Sets (as xml) the "error-delete" attribute

  Specified by:
    `xsetErrorDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

### unsetErrorDelete

    public void unsetErrorDelete()

  Unsets the "error-delete" attribute

  Specified by:
    `unsetErrorDelete` in interface `SqlMessageFilterDocument.SqlMessageFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD